using System;

  /// <summary>
  /// A class of StarLord characters with certain characteristics
  /// and the ability to battle against other StarLords
  /// </summary>
  
  public class Character {
    string name;
    int points;
    int strength;
    Random r = new Random();
    
    public Character() {
      // required because of derived class
    }

    public Character(string n, int s) {
      name = n;
      strength = s;
      points = s;
    }

    public string Name {
      get {return name; }
    }

    public int Points {
      get {return points; }
      set {points = value;}
    }   

    public int Strength {
      get {return strength; }
      set {strength = value;}
    }

    public virtual void Attack(Character opponent) {
      int damage = r.Next(strength/3+points/2);
      opponent.Points -= damage;
    }
    public override string ToString () {
      return name + " at " + points;
    }
  }

